
;;; =============================================================== ;;;
;;; 
;;; Copyright (C) 2004 Daniel Mayer (post.dm@gmx.at) 
;;; 
;;; This program is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU General Public License
;;; as published by the Free Software Foundation; either version 2
;;; of the License, or (at your option) any later version.
;;; 
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;; 
;;; =============================================================== ;;;

;;; Gentlecoord 1.0
;;; Last Revision: 16.6.04


(defvar *ext-srcfile-path*)

; Use your path with delimiters ":"  in OS 9 and "/" in OSX (E.g.: "HD:Lisp:Gentlecoord:src:"
; or "/Users/stuff/Gentlecoord/src/") and uncomment the file path definition. 
; Then save and evaluate all for loading the extensions from sources.


#|
(setf *ext-srcfile-path* "path_to_src_files")
|#



(defvar *ext-files*)
(setf *ext-files* '("ext-0-compatibility"
                    "ext-I-utilities"
                    "ext-II-midi-setup"
                    "ext-III-filter"
                    "ext-IIII-dynamics"
                    "ext-V-cond-pats"
                    "ext-VI-option-handling"
                    "ext-VII-data-check"
                    "ext-VIII-processes"
                    "ext-VIIII-pat-exp"))


(defun load-ext-files (file-path file-list)
  (loop for file-string in file-list do
        (load (concatenate 'string file-path file-string ".lisp"))))


; Loading from sources

(load-ext-files *ext-srcfile-path* *ext-files*)

